"""
Provides all menu-related classes.

By default:

* Menus are lists of items which can be traversed with the arrow keys, or by
    searching.

* The first item can be focussed with the home key.

* The last item can be focussed with the end key.

* The selected item can be activated with the enter key.

Optionally, menus can be dismissed with the escape key.
"""

from .action_menu import ActionMenu
from .config_menu import ConfigMenu, TypeHandler, UnknownTypeError
from .file_menu import FileMenu
from .menu import Menu
from .menu_item import MenuItem

__all__ = [
    'Menu', 'MenuItem', 'ActionMenu', 'FileMenu', 'ConfigMenu', 'TypeHandler',
    'UnknownTypeError'
]
